Subject: RE: initiating a discussion on mpls singaling protocols

From: Zafar Ali <[email-masked]>
Date: Tue, 23 Jul 2002 10:18:07 -0400

At 03:43 PM 7/22/2002 -0400, Stephen Shew wrote:

>I would like to speak against the proposal to make CR-LDP 
>informational.  Signalling is not the only function in IP in which there 
>are multiple (standards track) protocols.  Why insist on converging to 
>one?  Also, CR-LDP is found in other specifications (e.g., OIF UNI 1.0, 
>ITU-T Y.1310) whose bodies want to continue evolving its 
>functionality.  In particular, the ITU-T is using GMPLS CR-LDP in its 
>draft recommendation G.7713.3 (CR-LDP based signalling for ASON).

Couple of points here…

O-UNI (rightly) provides alternative of using RSVP-TE signaling and if you 
do a survey on O-UNI implementation, I can bet you that you will find the 
similar results that RSVP-TE is by-far the common implementation.

By making the CR-LDP informational, one is NOT removing all the references 
to it. This is an already matured activity. So, all the references made by 
the other standardization activities will still hold. In fact, such 
organizations will have more control and be happier to know that they are 
NOT working on a ground that is in flux. Not to mention, I don't think IETF 
is bound to other standardization committees in making its decision.

Thanks

Regards… Zafar

---

From: Stephen Trowbridge <[email-masked]>
Date: Tue, 23 Jul 2002 08:51:24 -0600

Zafar,
(snip)
> So, all the references made by the other standardization activities will still
> hold. 
In fact, for references from ITU-T Recommendations, reclassification as informational
does raise an issue: According to Recommendation A.5, ITU-T Recommendations may not
have normative references to informational, historical, or experimental RFCs (or
IDs of any kind).
Regards,
Steve Trowbridge
Vice-chairman, ITU-T Study Group 15

---

From: Stephen Trowbridge <[email-masked]>
Date: Tue, 23 Jul 2002 09:53:28 -0600

Zafar,
Not at all - just questioning your assertion that references made by
other standards organizations still hold, which is not true.
If IETF were to reclassify CR-LDP as informational, it would have an
impact on other standards organizations considering CR-LDP based solutions.
Regards,
Steve

Zafar Ali wrote:
> 
> At 08:51 AM 7/23/2002 -0600, Stephen Trowbridge wrote:
> 
> > Zafar,
> > (snip)
> Hi Stephen,
> Do you see this as a valid reason for IETF to stop "optimizing" it's progress path?
> 
> Thanks
> 
> Regards... Zafar
> 
> > Regards,
> > Steve Trowbridge

---

From: Zafar Ali <[email-masked]>
Date: Tue, 23 Jul 2002 11:12:52 -0400

Hi Stephen,

Do you see this as a valid reason for IETF to stop "optimizing" it's 
progress path?

Thanks

Regards... Zafar

---

From: [email-masked]
Date: Tue, 23 Jul 2002 18:29:12 +0200

hi zafar,

you have made a major point here "Not to mention, I don't 
think IETF is bound to other standardization committees in 
making its decision." i should also add "implementation
bodies"...

take for instance the oif uni as mentioned before it was clear
since the london meeting that potential changes may occur in
these i-ds taken by the oif community... it was clearly said 
at that time that decisions taken at the ietf will be fully
and completely independent of the usage of the corresponding 
documents in other bodies...

same rules should be applicable now as well... 

thanks,
- dimitri.

Zafar Ali wrote:
> > informational.  Signalling is not the only function in IP in which
> > there are multiple (standards track) protocols.  Why insist on
> > converging to one?  Also, CR-LDP is found in other specifications
> > (e.g., OIF UNI 1.0, ITU-T Y.1310) whose bodies want to continue
> > evolving its functionality.  In particular, the ITU-T is using GMPLS
> > CR-LDP in its draft recommendation G.7713.3 (CR-LDP based signalling
> > for ASON).
> 
> Couple of points here…
> 
> O-UNI (rightly) provides alternative of using RSVP-TE signaling and if
> you do a survey on O-UNI implementation, I can bet you that you will
> find the similar results that RSVP-TE is by-far the common
> implementation.
> 
> By making the CR-LDP informational, one is NOT removing all the
> references to it. This is an already matured activity. So, all the
> references made by the other standardization activities will still
> hold. In fact, such organizations will have more control and be
> happier to know that they are NOT working on a ground that is in flux.
> Not to mention, I don't think IETF is bound to other standardization
> committees in making its decision.
> 
> Thanks
> 
> Regards… Zafar

-- 
Papadimitriou Dimitri 
E-mail : [email-masked] 
Website: http://www.rc.bel.alcatel.be/~papadimd/index.html
Address: Alcatel - Optical NA, Fr. Wellesplein, 1 
         B-2018 Antwerpen, Belgium
Phone:   Work: +32 3 2408491 - Home: +32 2 3434361

---

From: Zafar Ali <[email-masked]>
Date: Tue, 23 Jul 2002 13:16:15 -0400

>other standards organizations still hold, which is not true.

Stephen,

This is what I meant that this is not a valid reason for IETF to stop 
making decision independently. So, we are agreeing.

Now on the possible logistics. BTW Bala just mentioned that OIF is forced 
to maintain two standards, just because IETF does so. So, we may have one 
less on the list. If anything, why not the other standardization committee 
can take a snap shot of the most recent CR-LDP spec. and evolve it further 
(if desired so). OIF does some "copying" of a snap-shot version in the past.

Thanks

Regards... Zafar